Horizon::DiskMan(3)

NAME
Horizon::DiskMan - namespace for the Horizon Disk Manager

SYNOPSIS
#include <diskman/diskman.hh>

DESCRIPTION
The Horizon::DiskMan namespace contains three classes for inspecting the fixed disks present on a computer: Horizon::DiskMan::DiskMan, Horizon::DiskMan::Disk, and Horizon::DiskMan::Partition.

You should only create instances of Horizon::DiskMan::DiskMan; the DiskMan class will provide you with the relevant instances of Disk and Parition.

EXAMPLES
See the class manual pages for in-depth examples.

SEE ALSO
Horizon::DiskMan::DiskMan(3), Horizon::DiskMan::Disk(3), Horizon::DiskMan::Partition(3).

HISTORY
The DiskMan library first appeared in Horizon 0.9.

AUTHORS
A. Wilcox <awilfox@adelielinux.org>